import { LocalizeParser, LocalizeRouterSettings } from 'localize-router';
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
import { Routes } from '@angular/router';
import { Location } from '@angular/common';
/**
 * Config interface
 */
export interface ILocalizeRouterParserConfig {
    locales: Array<string>;
    prefix?: string;
}
export declare class LocalizeRouterHttpLoader extends LocalizeParser {
    private http;
    private path;
    /**
     * CTOR
     * @param translate
     * @param location
     * @param settings
     * @param http
     * @param path
     */
    constructor(translate: TranslateService, location: Location, settings: LocalizeRouterSettings, http: Http, path?: string);
    /**
     * Initialize or append routes
     * @param routes
     * @returns {Promise<any>}
     */
    load(routes: Routes): Promise<any>;
}
